cURL
curl --request GET \ --url https://{api-address}.org.machina.gg/agent/{name} \ --header 'x-api-token: <api-key>'
{ "data": { "_id": "67e09cb441dc71ef8db3992f", "name": "my-new-agent", "title": "My New Agent", "description": "Your agent description", "status": "inactive", "context": { "config-frequency": 0.04 }, "workflows": [ { "name": "sync-nba-embeds", "description": "sync-nba-embeds", "inputs": { "event_code": "$.get('event_code') or None" }, "outputs": { "sync-nba-embeds-status": "$.get('workflow-status', False)" } } ], "created": "Sun, 23 Mar 2025 23:43:48 GMT", "updated": "Mon, 24 Mar 2025 00:21:10 GMT", "last_execution": "Mon, 24 Mar 2025 00:21:10 GMT", "processing": false, "scheduled": false }, "status": true }
Retrieve an agent by its unique name.
Documentation IndexFetch the complete documentation index at: https://docs.machina.gg/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.machina.gg/llms.txt
Use this file to discover all available pages before exploring further.
API key authentication
Unique name of the agent
Agent details
Show child attributes
Operation status
true